package cn.ibizlab.core.ou.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;

import cn.ibizlab.core.ou.domain.IBZOrganization;
import cn.ibizlab.core.ou.filter.IBZOrganizationSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[IBZOrganization] 服务对象接口
 */
public interface IIBZOrganizationService extends IService<IBZOrganization>{

    boolean checkKey(IBZOrganization et) ;
    boolean update(IBZOrganization et) ;
    void updateBatch(List<IBZOrganization> list) ;
    boolean create(IBZOrganization et) ;
    void createBatch(List<IBZOrganization> list) ;
    boolean save(IBZOrganization et) ;
    void saveBatch(List<IBZOrganization> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    IBZOrganization get(String key) ;
    IBZOrganization getDraft(IBZOrganization et) ;
    Page<IBZOrganization> searchSelectSOrg(IBZOrganizationSearchContext context) ;
    Page<IBZOrganization> searchSelectPOrg(IBZOrganizationSearchContext context) ;
    Page<IBZOrganization> searchDefault(IBZOrganizationSearchContext context) ;

    List<IBZOrganization> selectByParentorgid(String orgid) ;
    void removeByParentorgid(String orgid) ;



    List<JSONObject> select(String sql);
    boolean execute(String sql);

}


